FusionApplicationsClient¶
-
class
oci.fusion_apps.FusionApplicationsClient(config, **kwargs)¶ Use the Fusion Applications Environment Management API to manage the environments where your Fusion Applications run. For more information, see the [Fusion Applications Environment Management documentation](/iaas/Content/fusion-applications/home.htm).
Methods
__init__(config, **kwargs)Creates a new service client change_fusion_environment_compartment(…)Moves a FusionEnvironment into a different compartment. change_fusion_environment_family_compartment(…)Moves a FusionEnvironmentFamily into a different compartment. create_data_masking_activity(…)Creates a new DataMaskingActivity. create_email_subdomain(…)Creates an email Subdomain for a brand create_fusion_environment(…)Creates a new FusionEnvironment. create_fusion_environment_admin_user(…)Create a FusionEnvironment admin user create_fusion_environment_family(…)Creates a new FusionEnvironmentFamily. create_marketing_brand(…)Creates a marketing brand for fusion environment create_microsite(fusion_environment_id, …)Creates a microsite for brand create_refresh_activity(…)Creates a new RefreshActivity. create_service_attachment(…)Attaches a service instance to the fusion pod. delete_email_subdomain(…)Delete an email subdomain for a brand delete_fusion_environment(…)Deletes the Fusion environment identified by it’s OCID. delete_fusion_environment_admin_user(…)Deletes the FusionEnvironment administrator user identified by the username. delete_fusion_environment_family(…)Deletes a FusionEnvironmentFamily resource by identifier delete_marketing_brand(…)Deletes a Marketing brand for fusion Environment delete_microsite(fusion_environment_id, …)Delete microsite for a brand delete_refresh_activity(…)Deletes a scheduled RefreshActivity resource by identifier delete_service_attachment(…)Delete a service attachment by identifier generate_extract_details(…)Begin the process of showing the details about where to retrieve data extract for a Fusion environment. get_data_masking_activity(…)Gets a DataMaskingActivity by identifier get_email_subdomain(fusion_environment_id, …)Gets an email subdomain for the brand get_email_subdomain_csr(…)Gets a CSR for email subdomain for a brand get_email_subdomain_dns_config(…)Get all DNS records for emailSubdomain get_fusion_environment(…)Gets a FusionEnvironment by identifier get_fusion_environment_family(…)Retrieves a fusion environment family identified by its OCID. get_fusion_environment_family_limits_and_usage(…)Gets the number of environments (usage) of each type in the fusion environment family, as well as the limit that’s allowed to be created based on the group’s associated subscriptions. get_fusion_environment_family_subscription_detail(…)Gets the subscription details of an fusion environment family. get_fusion_environment_status(…)Gets the status of a Fusion environment identified by its OCID. get_marketing_brand(fusion_environment_id, …)Gets a Marketing Brand by identifier get_microsite(fusion_environment_id, …)Get the microsite for the brand get_microsite_dns_config(…)Get DNS records for microsite get_refresh_activity(fusion_environment_id, …)Gets a RefreshActivity by identifier get_scheduled_activity(…)Gets a ScheduledActivity by identifier get_service_attachment(…)Gets a Service Attachment by identifier get_work_request(work_request_id, **kwargs)Gets the status of the work request with the given ID. initiate_extract(fusion_environment_id, **kwargs)Begin the process of generating the data extract for a Fusion environment. list_admin_users(fusion_environment_id, **kwargs)List all FusionEnvironment admin users list_data_masking_activities(…)Returns a list of DataMaskingActivities. list_email_subdomains(fusion_environment_id, …)Returns a list of email subdomains for a brand list_fusion_environment_families(…)Returns a list of FusionEnvironmentFamilies. list_fusion_environments(compartment_id, …)Returns a list of FusionEnvironments. list_marketing_brands(fusion_environment_id, …)Returns a list of marketing brands list_microsites(fusion_environment_id, …)Returns a list of microsites list_refresh_activities(…)Returns a list of RefreshActivities. list_scheduled_activities(…)Returns a list of ScheduledActivities. list_service_attachments(…)Returns a list of service attachments. list_time_available_for_refreshes(…)Gets available refresh time for this fusion environment list_work_request_errors(work_request_id, …)Return a (paginated) list of errors for a given work request. list_work_request_logs(work_request_id, **kwargs)Return a (paginated) list of logs for a given work request. list_work_requests(compartment_id, **kwargs)Lists the work requests in a compartment. request_email_subdomain_csr(…)Request Email Subdomain CSR reset_fusion_environment_password(…)Reset FusionEnvironment admin password. update_email_subdomain(…)Updates an email subdomain update_fusion_environment(…)Updates the FusionEnvironment update_fusion_environment_family(…)Updates the FusionEnvironmentFamily update_marketing_brand(…)Updates a Marketing Brand update_microsite(fusion_environment_id, …)Updates an microsite update_refresh_activity(…)Updates a scheduled RefreshActivity. upload_email_subdomain_certificate(…)upload certificate for emailSubdomain validate_and_configure_email_subdomain_certificate(…)Validate and configure certificate for emailSubdomain validate_and_configure_email_subdomain_dns(…)Validate and configure DNS records for emailSubdomain validate_and_configure_microsite_dns(…)Validate and configure DNS records for microsite verify_service_attachment(…)Verify whether a service instance can be attached to the fusion pod -
__init__(config, **kwargs)¶ Creates a new service client
Parameters: - config (dict) – Configuration keys and values as per SDK and Tool Configuration.
The
from_file()method can be used to load configuration from a file. Alternatively, adictcan be passed. You can validate_config the dict usingvalidate_config() - service_endpoint (str) – (optional)
The endpoint of the service to call using this client. For example
https://iaas.us-ashburn-1.oraclecloud.com. If this keyword argument is not provided then it will be derived using the region in the config parameter. You should only provide this keyword argument if you have an explicit need to specify a service endpoint. - timeout (float or tuple(float, float)) – (optional) The connection and read timeouts for the client. The default values are connection timeout 10 seconds and read timeout 60 seconds. This keyword argument can be provided as a single float, in which case the value provided is used for both the read and connection timeouts, or as a tuple of two floats. If a tuple is provided then the first value is used as the connection timeout and the second value as the read timeout.
- signer (
AbstractBaseSigner) –(optional) The signer to use when signing requests made by the service client. The default is to use a
Signerbased on the values provided in the config parameter.One use case for this parameter is for Instance Principals authentication by passing an instance of
InstancePrincipalsSecurityTokenSigneras the value for this keyword argument - retry_strategy (obj) –
(optional) A retry strategy to apply to all calls made by this service client (i.e. at the client level). There is no retry strategy applied by default. Retry strategies can also be applied at the operation level by passing a
retry_strategykeyword argument as part of calling the operation. Any value provided at the operation level will override whatever is specified at the client level.This should be one of the strategies available in the
retrymodule. A convenienceDEFAULT_RETRY_STRATEGYis also available. The specifics of the default retry strategy are described here. - circuit_breaker_strategy (obj) – (optional)
A circuit breaker strategy to apply to all calls made by this service client (i.e. at the client level).
This client uses
DEFAULT_CIRCUIT_BREAKER_STRATEGYas default if no circuit breaker strategy is provided. The specifics of circuit breaker strategy are described here. - circuit_breaker_callback (function) – (optional) Callback function to receive any exceptions triggerred by the circuit breaker.
- client_level_realm_specific_endpoint_template_enabled (bool) – (optional) A boolean flag to indicate whether or not this client should be created with realm specific endpoint template enabled or disable. By default, this will be set as None.
- allow_control_chars – (optional) allow_control_chars is a boolean to indicate whether or not this client should allow control characters in the response object. By default, the client will not allow control characters to be in the response object.
- enable_strict_url_encoding – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this client should enable strict url encoding in path params of a request. By default, the client will not enable strict url encoding
- config (dict) – Configuration keys and values as per SDK and Tool Configuration.
The
-
change_fusion_environment_compartment(fusion_environment_id, change_fusion_environment_compartment_details, **kwargs)¶ Moves a FusionEnvironment into a different compartment. When provided, If-Match is checked against ETag values of the resource.
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- change_fusion_environment_compartment_details (oci.fusion_apps.models.ChangeFusionEnvironmentCompartmentDetails) – (required) The details of change compartment request.
- if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
- opc_request_id (str) – (optional) The client request ID for tracing.
- opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of type NoneReturn type: Example: Click here to see an example of how to use change_fusion_environment_compartment API.
-
change_fusion_environment_family_compartment(fusion_environment_family_id, change_fusion_environment_family_compartment_details, **kwargs)¶ Moves a FusionEnvironmentFamily into a different compartment. When provided, If-Match is checked against ETag values of the resource.
Parameters: - fusion_environment_family_id (str) – (required) The unique identifier (OCID) of the FusionEnvironmentFamily.
- change_fusion_environment_family_compartment_details (oci.fusion_apps.models.ChangeFusionEnvironmentFamilyCompartmentDetails) – (required) Details for the compartment move.
- if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
- opc_request_id (str) – (optional) The client request ID for tracing.
- opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of type NoneReturn type: Example: Click here to see an example of how to use change_fusion_environment_family_compartment API.
-
create_data_masking_activity(fusion_environment_id, create_data_masking_activity_details, **kwargs)¶ Creates a new DataMaskingActivity.
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- create_data_masking_activity_details (oci.fusion_apps.models.CreateDataMaskingActivityDetails) – (required) Details for the new DataMaskingActivity.
- opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of type NoneReturn type: Example: Click here to see an example of how to use create_data_masking_activity API.
-
create_email_subdomain(fusion_environment_id, marketing_brand_id, create_email_subdomain_details, **kwargs)¶ Creates an email Subdomain for a brand
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- marketing_brand_id (str) – (required) unique brand identifier
- create_email_subdomain_details (oci.fusion_apps.models.CreateEmailSubdomainDetails) – (required) Details for the new email subdomain
- opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeEmailSubdomainReturn type: Example: Click here to see an example of how to use create_email_subdomain API.
-
create_fusion_environment(create_fusion_environment_details, **kwargs)¶ Creates a new FusionEnvironment.
Parameters: - create_fusion_environment_details (oci.fusion_apps.models.CreateFusionEnvironmentDetails) – (required) Details for the new FusionEnvironment.
- opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of type NoneReturn type: Example: Click here to see an example of how to use create_fusion_environment API.
-
create_fusion_environment_admin_user(create_fusion_environment_admin_user_details, fusion_environment_id, **kwargs)¶ Create a FusionEnvironment admin user
Parameters: - create_fusion_environment_admin_user_details (oci.fusion_apps.models.CreateFusionEnvironmentAdminUserDetails) – (required) The admin user to be created.
- fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of type NoneReturn type: Example: Click here to see an example of how to use create_fusion_environment_admin_user API.
-
create_fusion_environment_family(create_fusion_environment_family_details, **kwargs)¶ Creates a new FusionEnvironmentFamily.
Parameters: - create_fusion_environment_family_details (oci.fusion_apps.models.CreateFusionEnvironmentFamilyDetails) – (required) Details for the new FusionEnvironmentFamily.
- opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of type NoneReturn type: Example: Click here to see an example of how to use create_fusion_environment_family API.
-
create_marketing_brand(fusion_environment_id, create_marketing_brand_details, **kwargs)¶ Creates a marketing brand for fusion environment
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- create_marketing_brand_details (oci.fusion_apps.models.CreateMarketingBrandDetails) – (required) Details for the new MarketingBrand
- opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeMarketingBrandReturn type: Example: Click here to see an example of how to use create_marketing_brand API.
-
create_microsite(fusion_environment_id, marketing_brand_id, create_microsite_details, **kwargs)¶ Creates a microsite for brand
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- marketing_brand_id (str) – (required) unique brand identifier
- create_microsite_details (oci.fusion_apps.models.CreateMicrositeDetails) – (required) Details for the new microsite
- opc_request_id (str) – (optional) The client request ID for tracing.
- opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: Return type: Example: Click here to see an example of how to use create_microsite API.
-
create_refresh_activity(fusion_environment_id, create_refresh_activity_details, **kwargs)¶ Creates a new RefreshActivity.
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- create_refresh_activity_details (oci.fusion_apps.models.CreateRefreshActivityDetails) – (required) Details for the new RefreshActivity.
- opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of type NoneReturn type: Example: Click here to see an example of how to use create_refresh_activity API.
-
create_service_attachment(create_service_attachment_details, fusion_environment_id, **kwargs)¶ Attaches a service instance to the fusion pod.
Parameters: - create_service_attachment_details (oci.fusion_apps.models.CreateServiceAttachmentDetails) – (required) Details for the service attachment.
- fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of type NoneReturn type: Example: Click here to see an example of how to use create_service_attachment API.
-
delete_email_subdomain(fusion_environment_id, marketing_brand_id, email_subdomain_id, **kwargs)¶ Delete an email subdomain for a brand
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- marketing_brand_id (str) – (required) unique brand identifier
- email_subdomain_id (str) – (required) unique emailSubdomain identifier
- if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of type NoneReturn type: Example: Click here to see an example of how to use delete_email_subdomain API.
-
delete_fusion_environment(fusion_environment_id, **kwargs)¶ Deletes the Fusion environment identified by it’s OCID.
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of type NoneReturn type: Example: Click here to see an example of how to use delete_fusion_environment API.
-
delete_fusion_environment_admin_user(admin_username, fusion_environment_id, **kwargs)¶ Deletes the FusionEnvironment administrator user identified by the username.
Parameters: - admin_username (str) – (required) The admin user name for the fusion environment.
- fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of type NoneReturn type: Example: Click here to see an example of how to use delete_fusion_environment_admin_user API.
-
delete_fusion_environment_family(fusion_environment_family_id, **kwargs)¶ Deletes a FusionEnvironmentFamily resource by identifier
Parameters: - fusion_environment_family_id (str) – (required) The unique identifier (OCID) of the FusionEnvironmentFamily.
- if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of type NoneReturn type: Example: Click here to see an example of how to use delete_fusion_environment_family API.
-
delete_marketing_brand(fusion_environment_id, marketing_brand_id, **kwargs)¶ Deletes a Marketing brand for fusion Environment
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- marketing_brand_id (str) – (required) unique brand identifier
- if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of type NoneReturn type: Example: Click here to see an example of how to use delete_marketing_brand API.
-
delete_microsite(fusion_environment_id, marketing_brand_id, microsite_id, **kwargs)¶ Delete microsite for a brand
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- marketing_brand_id (str) – (required) unique brand identifier
- microsite_id (str) – (required) unique microsite identifier
- if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of type NoneReturn type: Example: Click here to see an example of how to use delete_microsite API.
-
delete_refresh_activity(fusion_environment_id, refresh_activity_id, **kwargs)¶ Deletes a scheduled RefreshActivity resource by identifier
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- refresh_activity_id (str) – (required) The unique identifier (OCID) of the Refresh activity.
- if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of type NoneReturn type: Example: Click here to see an example of how to use delete_refresh_activity API.
-
delete_service_attachment(fusion_environment_id, service_attachment_id, **kwargs)¶ Delete a service attachment by identifier
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- service_attachment_id (str) – (required) OCID of the Service Attachment
- if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of type NoneReturn type: Example: Click here to see an example of how to use delete_service_attachment API.
-
generate_extract_details(fusion_environment_id, **kwargs)¶ Begin the process of showing the details about where to retrieve data extract for a Fusion environment.
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeExtractDetailsCollectionReturn type: Example: Click here to see an example of how to use generate_extract_details API.
-
get_data_masking_activity(fusion_environment_id, data_masking_activity_id, **kwargs)¶ Gets a DataMaskingActivity by identifier
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- data_masking_activity_id (str) – (required) Unique DataMasking run identifier.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeDataMaskingActivityReturn type: Example: Click here to see an example of how to use get_data_masking_activity API.
-
get_email_subdomain(fusion_environment_id, marketing_brand_id, email_subdomain_id, **kwargs)¶ Gets an email subdomain for the brand
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- marketing_brand_id (str) – (required) unique brand identifier
- email_subdomain_id (str) – (required) unique emailSubdomain identifier
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeEmailSubdomainReturn type: Example: Click here to see an example of how to use get_email_subdomain API.
-
get_email_subdomain_csr(fusion_environment_id, marketing_brand_id, email_subdomain_id, **kwargs)¶ Gets a CSR for email subdomain for a brand
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- marketing_brand_id (str) – (required) unique brand identifier
- email_subdomain_id (str) – (required) unique emailSubdomain identifier
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeMarketingBrandEmailSubdomainCsrReturn type: Example: Click here to see an example of how to use get_email_subdomain_csr API.
-
get_email_subdomain_dns_config(fusion_environment_id, marketing_brand_id, email_subdomain_id, **kwargs)¶ Get all DNS records for emailSubdomain
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- marketing_brand_id (str) – (required) unique brand identifier
- email_subdomain_id (str) – (required) unique emailSubdomain identifier
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeMarketingBrandEmailSubdomainDnsConfigReturn type: Example: Click here to see an example of how to use get_email_subdomain_dns_config API.
-
get_fusion_environment(fusion_environment_id, **kwargs)¶ Gets a FusionEnvironment by identifier
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeFusionEnvironmentReturn type: Example: Click here to see an example of how to use get_fusion_environment API.
-
get_fusion_environment_family(fusion_environment_family_id, **kwargs)¶ Retrieves a fusion environment family identified by its OCID.
Parameters: - fusion_environment_family_id (str) – (required) The unique identifier (OCID) of the FusionEnvironmentFamily.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeFusionEnvironmentFamilyReturn type: Example: Click here to see an example of how to use get_fusion_environment_family API.
-
get_fusion_environment_family_limits_and_usage(fusion_environment_family_id, **kwargs)¶ Gets the number of environments (usage) of each type in the fusion environment family, as well as the limit that’s allowed to be created based on the group’s associated subscriptions.
Parameters: - fusion_environment_family_id (str) – (required) The unique identifier (OCID) of the FusionEnvironmentFamily.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeFusionEnvironmentFamilyLimitsAndUsageReturn type: Example: Click here to see an example of how to use get_fusion_environment_family_limits_and_usage API.
-
get_fusion_environment_family_subscription_detail(fusion_environment_family_id, **kwargs)¶ Gets the subscription details of an fusion environment family.
Parameters: - fusion_environment_family_id (str) – (required) The unique identifier (OCID) of the FusionEnvironmentFamily.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeSubscriptionDetailReturn type: Example: Click here to see an example of how to use get_fusion_environment_family_subscription_detail API.
-
get_fusion_environment_status(fusion_environment_id, **kwargs)¶ Gets the status of a Fusion environment identified by its OCID.
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeFusionEnvironmentStatusReturn type: Example: Click here to see an example of how to use get_fusion_environment_status API.
-
get_marketing_brand(fusion_environment_id, marketing_brand_id, **kwargs)¶ Gets a Marketing Brand by identifier
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- marketing_brand_id (str) – (required) unique brand identifier
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeMarketingBrandReturn type: Example: Click here to see an example of how to use get_marketing_brand API.
-
get_microsite(fusion_environment_id, marketing_brand_id, microsite_id, **kwargs)¶ Get the microsite for the brand
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- marketing_brand_id (str) – (required) unique brand identifier
- microsite_id (str) – (required) unique microsite identifier
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: Return type: Example: Click here to see an example of how to use get_microsite API.
-
get_microsite_dns_config(fusion_environment_id, marketing_brand_id, microsite_id, **kwargs)¶ Get DNS records for microsite
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- marketing_brand_id (str) – (required) unique brand identifier
- microsite_id (str) – (required) unique microsite identifier
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeMarketingBrandMicrositeDnsConfigReturn type: Example: Click here to see an example of how to use get_microsite_dns_config API.
-
get_refresh_activity(fusion_environment_id, refresh_activity_id, **kwargs)¶ Gets a RefreshActivity by identifier
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- refresh_activity_id (str) – (required) The unique identifier (OCID) of the Refresh activity.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeRefreshActivityReturn type: Example: Click here to see an example of how to use get_refresh_activity API.
-
get_scheduled_activity(fusion_environment_id, scheduled_activity_id, **kwargs)¶ Gets a ScheduledActivity by identifier
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- scheduled_activity_id (str) – (required) Unique ScheduledActivity identifier.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeScheduledActivityReturn type: Example: Click here to see an example of how to use get_scheduled_activity API.
-
get_service_attachment(fusion_environment_id, service_attachment_id, **kwargs)¶ Gets a Service Attachment by identifier
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- service_attachment_id (str) – (required) OCID of the Service Attachment
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeServiceAttachmentReturn type: Example: Click here to see an example of how to use get_service_attachment API.
-
get_work_request(work_request_id, **kwargs)¶ Gets the status of the work request with the given ID.
Parameters: - work_request_id (str) – (required) The ID of the asynchronous request.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeWorkRequestReturn type: Example: Click here to see an example of how to use get_work_request API.
-
initiate_extract(fusion_environment_id, **kwargs)¶ Begin the process of generating the data extract for a Fusion environment.
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of type NoneReturn type: Example: Click here to see an example of how to use initiate_extract API.
-
list_admin_users(fusion_environment_id, **kwargs)¶ List all FusionEnvironment admin users
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeAdminUserCollectionReturn type: Example: Click here to see an example of how to use list_admin_users API.
-
list_data_masking_activities(fusion_environment_id, **kwargs)¶ Returns a list of DataMaskingActivities.
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- lifecycle_state (str) –
(optional) A filter that returns all resources that match the specified status
Allowed values are: “ACCEPTED”, “IN_PROGRESS”, “FAILED”, “SUCCEEDED”, “CANCELED”
- limit (int) – (optional) The maximum number of items to return.
- page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
- sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
- sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.
Allowed values are: “TIME_CREATED”, “DISPLAY_NAME”
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeDataMaskingActivityCollectionReturn type: Example: Click here to see an example of how to use list_data_masking_activities API.
-
list_email_subdomains(fusion_environment_id, marketing_brand_id, **kwargs)¶ Returns a list of email subdomains for a brand
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- marketing_brand_id (str) – (required) unique brand identifier
- email_subdomain_id (str) – (optional) unique emailSubdomain identifier
- name (str) – (optional) A filter to return only resources that match the entire name given.
- lifecycle_state (str) –
(optional) A filter that returns all resources that match the specified status
Allowed values are: “ACTIVE”, “INACTIVE”
- sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
- sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for name is ascending. If no value is specified timeCreated is default.
Allowed values are: “TIME_CREATED”, “NAME”, “ID”
- limit (int) – (optional) The maximum number of items to return.
- page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeEmailSubdomainCollectionReturn type: Example: Click here to see an example of how to use list_email_subdomains API.
-
list_fusion_environment_families(compartment_id, **kwargs)¶ Returns a list of FusionEnvironmentFamilies.
Parameters: - compartment_id (str) – (required) The ID of the compartment in which to list resources.
- fusion_environment_family_id (str) – (optional) The ID of the fusion environment family in which to list resources.
- display_name (str) – (optional) A filter to return only resources that match the entire display name given.
- lifecycle_state (str) –
(optional) A filter that returns all resources that match the specified lifecycle state.
Allowed values are: “CREATING”, “UPDATING”, “ACTIVE”, “DELETING”, “DELETED”, “FAILED”
- limit (int) – (optional) The maximum number of items to return.
- page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
- sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
- sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.
Allowed values are: “TIME_CREATED”, “DISPLAY_NAME”
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeFusionEnvironmentFamilyCollectionReturn type: Example: Click here to see an example of how to use list_fusion_environment_families API.
-
list_fusion_environments(compartment_id, **kwargs)¶ Returns a list of FusionEnvironments.
Parameters: - compartment_id (str) – (required) The ID of the compartment in which to list resources.
- fusion_environment_family_id (str) – (optional) The ID of the fusion environment family in which to list resources.
- display_name (str) – (optional) A filter to return only resources that match the entire display name given.
- lifecycle_state (str) –
(optional) A filter that returns all resources that match the specified lifecycle state.
Allowed values are: “CREATING”, “UPDATING”, “ACTIVE”, “INACTIVE”, “DELETING”, “DELETED”, “FAILED”
- limit (int) – (optional) The maximum number of items to return.
- page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
- sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
- sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.
Allowed values are: “TIME_CREATED”, “DISPLAY_NAME”
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeFusionEnvironmentCollectionReturn type: Example: Click here to see an example of how to use list_fusion_environments API.
-
list_marketing_brands(fusion_environment_id, **kwargs)¶ Returns a list of marketing brands
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- marketing_brand_id (str) – (optional) unique brand identifier
- name (str) – (optional) A filter to return only resources that match the entire name given.
- lifecycle_state (str) –
(optional) A filter that returns all resources that match the specified status
Allowed values are: “ACTIVE”, “INACTIVE”
- limit (int) – (optional) The maximum number of items to return.
- page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
- sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
- sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for name is ascending. If no value is specified timeCreated is default.
Allowed values are: “TIME_CREATED”, “NAME”, “ID”
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeMarketingBrandCollectionReturn type: Example: Click here to see an example of how to use list_marketing_brands API.
-
list_microsites(fusion_environment_id, marketing_brand_id, **kwargs)¶ Returns a list of microsites
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- marketing_brand_id (str) – (required) unique brand identifier
- microsite_id (str) – (optional) unique microsite identifier
- name (str) – (optional) A filter to return only resources that match the entire name given.
- lifecycle_state (str) –
(optional) A filter that returns all resources that match the specified status
Allowed values are: “ACTIVE”, “INACTIVE”
- sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
- sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for name is ascending. If no value is specified timeCreated is default.
Allowed values are: “TIME_CREATED”, “NAME”, “ID”
- limit (int) – (optional) The maximum number of items to return.
- page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeMicrositeCollectionReturn type: Example: Click here to see an example of how to use list_microsites API.
-
list_refresh_activities(fusion_environment_id, **kwargs)¶ Returns a list of RefreshActivities.
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- display_name (str) – (optional) A filter to return only resources that match the entire display name given.
- time_scheduled_start_greater_than_or_equal_to (datetime) – (optional) A filter that returns all resources that are scheduled after this date
- time_expected_finish_less_than_or_equal_to (datetime) – (optional) A filter that returns all resources that end before this date
- lifecycle_state (str) –
(optional) A filter that returns all resources that match the specified status
Allowed values are: “ACCEPTED”, “IN_PROGRESS”, “NEEDS_ATTENTION”, “FAILED”, “SUCCEEDED”, “CANCELED”
- limit (int) – (optional) The maximum number of items to return.
- page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
- sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
- sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.
Allowed values are: “TIME_CREATED”, “DISPLAY_NAME”
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeRefreshActivityCollectionReturn type: Example: Click here to see an example of how to use list_refresh_activities API.
-
list_scheduled_activities(fusion_environment_id, **kwargs)¶ Returns a list of ScheduledActivities.
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- display_name (str) – (optional) A filter to return only resources that match the entire display name given.
- time_scheduled_start_greater_than_or_equal_to (datetime) – (optional) A filter that returns all resources that are scheduled after this date
- time_expected_finish_less_than_or_equal_to (datetime) – (optional) A filter that returns all resources that end before this date
- run_cycle (str) –
(optional) A filter that returns all resources that match the specified run cycle.
Allowed values are: “QUARTERLY”, “MONTHLY”, “ONEOFF”, “VERTEX”
- lifecycle_state (str) –
(optional) A filter that returns all resources that match the specified status
Allowed values are: “ACCEPTED”, “IN_PROGRESS”, “FAILED”, “SUCCEEDED”, “CANCELED”
- scheduled_activity_association_id (str) – (optional) A filter that returns all resources that match the specified scheduledActivityAssociationId.
- scheduled_activity_phase (str) –
(optional) A filter that returns all resources that match the specified scheduledActivityPhase.
Allowed values are: “PRE_MAINTENANCE”, “MAINTENANCE”, “POST_MAINTENANCE”
- limit (int) – (optional) The maximum number of items to return.
- page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
- sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
- sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.
Allowed values are: “TIME_CREATED”, “DISPLAY_NAME”
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeScheduledActivityCollectionReturn type: Example: Click here to see an example of how to use list_scheduled_activities API.
-
list_service_attachments(fusion_environment_id, **kwargs)¶ Returns a list of service attachments.
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- display_name (str) – (optional) A filter to return only resources that match the entire display name given.
- lifecycle_state (str) –
(optional) A filter that returns all resources that match the specified lifecycle state.
Allowed values are: “CREATING”, “UPDATING”, “ACTIVE”, “DELETING”, “DELETED”, “FAILED”
- service_instance_type (str) –
(optional) A filter that returns all resources that match the specified lifecycle state.
Allowed values are: “DIGITAL_ASSISTANT”, “INTEGRATION_CLOUD”, “ANALYTICS_WAREHOUSE”, “FUSION_DATA_INTELLIGENCE”, “VBCS”, “VISUAL_BUILDER_STUDIO”
- limit (int) – (optional) The maximum number of items to return.
- page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
- sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
- sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.
Allowed values are: “TIME_CREATED”, “DISPLAY_NAME”
- opc_request_id (str) – (optional) The client request ID for tracing.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeServiceAttachmentCollectionReturn type: Example: Click here to see an example of how to use list_service_attachments API.
-
list_time_available_for_refreshes(fusion_environment_id, **kwargs)¶ Gets available refresh time for this fusion environment
Parameters: - fusion_environment_id (str) – (required) unique FusionEnvironment identifier
- opc_request_id (str) – (optional) The client request ID for tracing.
- limit (int) – (optional) The maximum number of items to return.
- page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
- sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
- sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.
Allowed values are: “TIME_CREATED”, “DISPLAY_NAME”
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeTimeAvailableForRefreshCollectionReturn type: Example: Click here to see an example of how to use list_time_available_for_refreshes API.
-
list_work_request_errors(work_request_id, **kwargs)¶ Return a (paginated) list of errors for a given work request.
Parameters: - work_request_id (str) – (required) The ID of the asynchronous request.
- sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeAccepted is descending.
Allowed values are: “timeAccepted”
- sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
- opc_request_id (str) – (optional) The client request ID for tracing.
- page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
- limit (int) – (optional) The maximum number of items to return.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
[...]
